### Method

# Panel LayeredSettings bind_with_mapping

#### Declaration [src]

    void
    panel_layered_settings_bind_with_mapping (
      PanelLayeredSettings* self,
      const char* key,
      gpointer object,
      const char* property,
      GSettingsBindFlags flags,
      GSettingsBindGetMapping get_mapping,
      GSettingsBindSetMapping set_mapping,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

Creates a new binding similar to `g_settings_bind_with_mapping()` but applying from the resolved value via the layered settings.

#### Parameters

`key`

  Type: `const char*`

  The settings key to bind. `object` (type GObject.Object): the target object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`object`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`property`

  Type: `const char*`

  The property on `object` to apply.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GSettingsBindFlags`

  Flags for the binding.

`get_mapping`

  Type: `GSettingsBindGetMapping`

  The get mapping function.

`set_mapping`

  Type: `GSettingsBindSetMapping`

  The set mapping function.

`user_data`

  Type: `gpointer`

  User data for `get_mapping` and `set_mapping`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  Destroy notify for `user_data`.